Get shot previews

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/shots/{shot_id}/preview-files

Return previews for a shot as a dict keyed by task type id. Each value is an array of previews for that task type.

Path parameters

  • shot_id Required

Responses

  • 200 application/json

    All previews related to given shot

    Hide response attribute Show response attribute object
    • * array[object] Additional properties
      Hide * attributes Show * attributes object
      • id string(uuid)
      • revision integer
      • file_id string(uuid)
GET /data/shots/{shot_id}/preview-files
curl -X GET "http://api.example.com/data/shots/a24a6ea4-ce75-4665-a070-57453082c25/preview-files" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/shots/a24a6ea4-ce75-4665-a070-57453082c25/preview-files"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request GET 'http://api.example.com/data/shots/a24a6ea4-ce75-4665-a070-57453082c25/preview-files' \
 --header "Authorization: $API_KEY"
Response examples (200)
{
  "a24a6ea4-ce75-4665-a070-57453082c25": [
    {
      "id": "b24a6ea4-ce75-4665-a070-57453082c25",
      "revision": 3,
      "file_id": "c24a6ea4-ce75-4665-a070-57453082c25"
    }
  ]
}